# ``fn_gen`.`enums`.`sweep_trigger_slope`.`SweepTriggerSlope``

class documentation

`class SweepTriggerSlope(Enum):`

View In Hierarchy

The type of slope used for the external sweep trigger

Constant | `NEGATIVE` | Ths option triggers the sweep on the negative edge
Constant | `POSITIVE` | This option triggers the sweep on the positive edge

NEGATIVE: `int` =

Ths option triggers the sweep on the negative edge

Value

    2

POSITIVE: `int` =

This option triggers the sweep on the positive edge

Value

    1